DSC04018.JPG=Berthing at Messina harbor
DSC04043.JPG=Our short stroll around Messina
DSC04056.JPG=Our short stroll around Messina
DSC04034.JPG=Our short stroll around Messina
DSC04027.JPG=Our short stroll around Messina
DSC04060.JPG=Our short stroll around Messina
DSC04074.JPG=Messina harbour
DSC04057.JPG=Our short stroll around Messina
DSC04014.JPG=Entrance to Messina harbor with statue of Madonnina Port Protectress, Sicily \
					
DSC04017.JPG=Leaving Messina harbor\
					
DSC04083.JPG=Entrance to Messina harbor with statue of Madonnina Port Protectress, Sicily
DSC04052.JPG=Our short stroll around Messina
DSC04080a.jpg=Entrance to Messina harbor with statue of Madonnina Port Protectress, Sicily
DSC04037.JPG=Our short stroll around Messina
DSC04067.JPG=Messina harbour
DSC04029.JPG=Our short stroll around Messina
DSC04054.JPG=Our short stroll around Messina
DSC04016.JPG=Leaving Messina harbor\
					
DSC04084.JPG=Leaving Messina harbor\
					
DSC04033a.jpg=Our short stroll around Messina
DSC04071.JPG=Messina harbour
DSC04036a.jpg=Our short stroll around Messina
DSC04025.JPG=Berthing at Messina harbor
DSC04019.JPG=Berthing at Messina harbor
DSC04020.JPG=Berthing at Messina harbor
DSC04068.JPG=Messina harbour
DSC04055.JPG=Our short stroll around Messina
DSC04059.JPG=Our short stroll around Messina
DSC04063.JPG=Our short stroll around Messina
DSC04040a.jpg=Our short stroll around Messina
